Salesmen
For authentication instructions, see API overview.
Endpoints
get
List all salesmen
Returns a list of salesmen. The salesmen are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/salesmenResponse
No response schemapost
Create salesmen
Create salesmen. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringmanagerIdstringaddressstringcontactsarraycommissionPernumber
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/salesmen \ -d 'name="Ahmed"' \ -d 'managerId="609a8f85c2834915d0a5a5e9"' \ -d 'address="address test"' \ -d 'contacts="array"' \ -d 'commissionPer=10'Response
No response schemaget
Retrieve salesmen
Returns a single salesme, which you can request by passing through an id in the url.
Path parameters
idstringID of the salesman
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/salesmen/:idResponse
No response schemaput
Update salesmen
Path parameters
idstringID of the salesman
Request body
namestringmanagerIdstringaddressstringcontactsarraycommissionPernumber
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/salesmen/:id \ -d 'name="Ahmed"' \ -d 'managerId="609a8f85c2834915d0a5a5e9"' \ -d 'address="address test"' \ -d 'contacts="array"' \ -d 'commissionPer=10'Response
No response schemadelete
Delete salesmen
Path parameters
idstringID of the salesman
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/salesmen/:id